Service for streetview functionality with Mapillary

### Hierarchy

- StreetviewService
  - default

## Index

### Constructors

- constructor

### Properties

- Mapillary
- handlePanoramaPositionChange_
- map_
- mapillaryElement
- mapillaryEventHandler_
- mly
- noDataAtLocation
- scope_

### Methods

- fromLonLat_
- getPanorama
- panoramaPositionChange
- resize
- toLonLat_
- toggleShow

## Constructors

### constructor

- new default($scope: IScope, $timeout: ITimeoutService, $http: IHttpService, map: Map, handlePanoramaPositionChange: (newCoordinates: Coordinate) => void, accessToken: any): default

- Overrides StreetviewService.constructor

  - Defined in src/streetview/MapillaryService.js:40
  nginject

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### $timeout: ITimeoutService

  - ##### $http: IHttpService

    Angular $http service.

  - ##### map: Map

    The map

  - ##### handlePanoramaPositionChange: (newCoordinates: Coordinate) => void

    Position change handler

    - - (newCoordinates: Coordinate): void

      - #### Parameters

        - ##### newCoordinates: Coordinate

        #### Returns void

  - ##### accessToken: any

  #### Returns default

## Properties

### Mapillary

Mapillary: {}

- Defined in src/streetview/MapillaryService.js:68

#### Type declaration

### handlePanoramaPositionChange_

handlePanoramaPositionChange_: (newCoordinates: Coordinate) => void

Inherited from StreetviewService.handlePanoramaPositionChange_

- Defined in src/streetview/Service.js:38

#### Type declaration

- - (newCoordinates: Coordinate): void

  - #### Parameters

    - ##### newCoordinates: Coordinate

    #### Returns void

### map_

map_: Map

Inherited from StreetviewService.map_

- Defined in src/streetview/Service.js:37

### mapillaryElement

mapillaryElement: HTMLElement

- Defined in src/streetview/MapillaryService.js:64

Container of the mapillary viewer.

### mapillaryEventHandler_

mapillaryEventHandler_: (evt: ViewerImageEvent) => void

- Defined in src/streetview/MapillaryService.js:88

#### Type declaration

- - (evt: ViewerImageEvent): void

  - #### Parameters

    - ##### evt: ViewerImageEvent

    #### Returns void

### mly

mly: Viewer

- Defined in src/streetview/MapillaryService.js:70

### noDataAtLocation

noDataAtLocation: boolean

Inherited from StreetviewService.noDataAtLocation

- Defined in src/streetview/MapillaryService.js:119

### scope_

scope_: IScope

Inherited from StreetviewService.scope_

- Defined in src/streetview/Service.js:36

## Methods

### fromLonLat_

- fromLonLat_(lonLat: Coordinate): Coordinate

- Inherited from StreetviewService.fromLonLat_

  - Defined in src/streetview/Service.js:71

  #### Parameters

  - ##### lonLat: Coordinate

    LonLat coordinate.

  #### Returns Coordinate

  Map view projection coordinate.

### getPanorama

- getPanorama(coordinates: Coordinate): void

- Overrides StreetviewService.getPanorama

  - Defined in src/streetview/MapillaryService.js:112

  Get image for the given location.

  #### Parameters

  - ##### coordinates: Coordinate

    Map view projection coordinates.

  #### Returns void

### panoramaPositionChange

- panoramaPositionChange(newCoordinates: Coordinate): void

- Inherited from StreetviewService.panoramaPositionChange

  - Defined in src/streetview/Service.js:61

  Set new position on the map.

  #### Parameters

  - ##### newCoordinates: Coordinate

    array of longitude and latitude.

  #### Returns void

### resize

- resize(): void

- - Defined in src/streetview/MapillaryService.js:99

  Resize the image.

  #### Returns void

### toLonLat_

- toLonLat_(coordinate: Coordinate): Coordinate

- Inherited from StreetviewService.toLonLat_

  - Defined in src/streetview/Service.js:82

  #### Parameters

  - ##### coordinate: Coordinate

    Map view projection coordinate.

  #### Returns Coordinate

  LonLat coordinate.

### toggleShow

- toggleShow(show: boolean): void

- Overrides StreetviewService.toggleShow

  - Defined in src/streetview/MapillaryService.js:133

  Toggle visibility of streetview / add or remove its event handler

  #### Parameters

  - ##### show: boolean

    If the streetview is to show

  #### Returns void

Generated using TypeDoc